#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Easy to use fixtures to write regression tests
Summary(pl.UTF-8):	Łatwe w użyciu wyposażenie do tworzenia testów regresji
Name:		python3-pytest-regressions
Version:	2.7.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-regressions/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-regressions/pytest_regressions-%{version}.tar.gz
# Source0-md5:	af3e931f1d51520e0396a15cacb78f0b
URL:		https://pypi.org/project/pytest-regressions/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
%if %{with tests}
BuildRequires:	python3-PyYAML
BuildRequires:	python3-matplotlib
BuildRequires:	python3-pandas
BuildRequires:	python3-pillow
BuildRequires:	python3-pytest >= 6.2.0
BuildRequires:	python3-pytest-datadir >= 1.2.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin makes it simple to test general data, images, files, and
numeric tables by saving expected data in a data directory (courtesy
of pytest-datadir) that can be used to verify that future runs produce
the same data.

%description -l pl.UTF-8
Ta wtyczka ułatwia testowanie ogólnych danych, obrazów, plików i
tablic liczbowych poprzez zapisanie oczekiwanych danych w katalogu z
danymi (dzięki pytest-datadir), które mogą być użyte do
zweryfikowania, że przyszłe uruchomienia dadzą te same dane.

%package apidocs
Summary:	API documentation for Python pytest-regressions module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pytest-regressions
Group:		Documentation

%description apidocs
API documentation for Python pytest-regressions module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pytest-regressions.

%prep
%setup -q -n pytest_regressions-%{version}

# fail because of numpy DeprecationWarnings
%{__mv} tests/test_dataframe_regression.py tests/disabled_dataframe_regression.py
%{__mv} tests/test_num_regression.py tests/disabled_num_regression.py
%{__mv} tests/test_filenames.py tests/disabled_filenames.py

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_datadir.plugin,pytest_regressions.plugin" \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests -k 'not test_common_case'
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/pytest_regressions
%{py3_sitescriptdir}/pytest_regressions-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-regressions.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> fe3bba9
- Up to 2.7.0

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 050b652
- updated dependencies

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 42f5abc
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 98956c5
- python 3.13 rebuild

* Sat Jan 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 1b42161
- python-pytest-regressions.spec updated to 2.4.1 for python 3.6+

* Sat Jan 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 9129f1f
- new

